
Redmine - Defect #7738

Email Alert Not Being Sent 

2011-02-28 10:02 - Shaik Ahmed

Status: Closed Start date: 2011-02-28

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.5

Description

Hi

We are using Bitnami Redmine 0.9.5 on Windows 2003 server.

The Email alert has suddenly stopped working and no email is sent when an Issue is Created/Updated/Closed or any other activity

that requires an email to be sent . The email settings are not changed and no settings is modified.

However , when we change the password of a user or send a test email from the administration page , an email is sent successfully.

Apart from these two alerts no email is being sent.

The email exchange server is not blocking any email from the redmine.

Any Pointers to resolve the issue is obliged.

Thanks

Shaik Ahmed

History

#1 - 2011-02-28 10:47 - Etienne Massip

- Assignee deleted (Azamat Hackimov)

How is your Email notifications configuration set both in user's profile and in Administration/Settings ?

#2 - 2011-02-28 10:55 - Shaik Ahmed

- File User_Settings.jpg added

- File Admin_Settings.jpg added

Hi

For the user settings , he should get email 'for any event on his project' -- attached reference  image

In the Admin settings, notification should be sent for all events except file upload -- attached reference image

Thanks

#3 - 2011-02-28 11:04 - Etienne Massip

In both #7451 and this one, use of BCC is checked.

Could you try without BCC ?

#4 - 2011-02-28 11:09 - Shaik Ahmed

Hi

Tried without Bcc , still no luck.

Thanks
#5 - 2011-03-01 07:06 - Shaik Ahmed

Hi

What i observed is , when i do a fresh installation of Redmine on my computer , the Email Notifications are sent without any problem. However, when

i do an import of the Redmine database of my existing production database , the database import is successful but the Email notifications stops

working .

Is there any limitations in redmine ?

Thanks

#6 - 2011-03-01 08:35 - Etienne Massip

Did you run the migration task after import ?

#7 - 2011-03-01 08:37 - Shaik Ahmed

NO i didn't , since there is no change in version. If its necessary, could you please provide the link where i can find the steps in executing the same.

#8 - 2011-03-01 09:39 - Etienne Massip

Simply run rake db:migrate from your redmine dir.

#9 - 2011-03-01 10:02 - Shaik Ahmed

Hi, i got the following error

C:\Program Files\BitNami Redmine Stack\ruby\bin>rake db:migrate --trace

rake aborted!

No Rakefile found (looking for: rakefile, Rakefile, rakefile.rb, Rakefile.rb)

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2377:in `raw_load_ra

kefile'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefi

le'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_ex

ception_handling'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefi

le'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_ex

ception_handling'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

C:/Program Files/BitNami Redmine Stack/ruby/bin/rake:19:in `load'

C:/Program Files/BitNami Redmine Stack/ruby/bin/rake:19

 Thanks

#10 - 2011-03-02 17:07 - Etienne Massip

Run it from your redmine directory.

#11 - 2011-03-03 05:57 - Shaik Ahmed

Hi

I am getting the following error when i run from :

C:\Program Files\BitNami Redmine Stack\apps\redmine>

"ruby.exe"' is not recognized as an internal or external command

 Do i have to do something with the environmental variables before executing the command ?

#12 - 2011-03-03 09:21 - Etienne Massip

Yes, add C:/Program Files/BitNami Redmine Stack/ruby/bin to your PATH.

#13 - 2011-03-03 09:55 - Shaik Ahmed

Hi Added the path , unfortunately i am still getting the same error .

#14 - 2011-03-03 09:56 - Etienne Massip

Did you open a new cmd window ?
#15 - 2011-03-03 10:03 - Shaik Ahmed

Yes with a new CMD window.

I am executing the command from here :

C:\Program Files\BitNami Redmine Stack\apps\redmine\>

#16 - 2011-03-03 10:10 - Etienne Massip

I was mistaken when I told you to add C:/Program Files/BitNami Redmine Stack/ruby/bin in your path, you should replace "/" with "\".

What does your PATH look like ?

#17 - 2011-03-03 10:27 - Shaik Ahmed

Hi i configured correctly "\" in the first place ! The error is there with correct syntax.

#18 - 2011-03-03 11:09 - Etienne Massip

What does your PATH contains and what command did you precisely type in ?

#19 - 2011-03-03 11:11 - Shaik Ahmed

Hi

This is in the PATH :

C:\Program Files\BitNami Redmine Stack\ruby\bin

#20 - 2011-03-04 05:41 - Shaik Ahmed

Hi

After changing the path , my redmine stopped working , when i check in the services , the redmine Apache service is down and when i start i am

getting an error . From the event log the error message is :

The Apache service named  reported the following error:

>>> httpd.exe: Syntax error on line 127 of C:/Program Files/BitNami Redmine Stack/apache2/conf/httpd.conf: Can

not load C:/Program Files/BitNami Redmine Stack/apache2/modules/mod_dav_svn.so into server: The specified modu

le could not be found.   

 I did not save the previous path , can you let me know the correct path.

Thanks

#21 - 2011-03-04 09:24 - Etienne Massip

Add a path to your PATH means you should append it to the end of the actual value, not replace it !

Here's mine :

D:\install\Ruby187\bin;C:\Program Files\Java\jdk1.7.0\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\W

bem;C:\Program Files\TortoiseSVN\bin;C:\WINDOWS\system32\WindowsPowerShell\v1.0;C:\Program Files\PostgreSQL\9.

0\bin;C:\Program Files\PostgreSQL\9.0\lib

#22 - 2011-03-04 09:44 - Shaik Ahmed

Hi

Original settings worked :

C:\Program Files\BitNami Redmine Stack\subversion\bin

 But , email still not working .

#23 - 2011-03-04 10:37 - Etienne Massip

Don't understand, what do you call your original settings ? Do you alter your user or system PATH envvar ?

#24 - 2011-03-07 12:03 - Shaik Ahmed

No , i didn't , its already like this before :
C:\Program Files\BitNami Redmine Stack\subversion\bin

#25 - 2011-03-07 12:14 - Etienne Massip

But this is just a part of your PATH environment variable value, isn't it ?

#26 - 2011-03-07 12:18 - Shaik Ahmed

Yes it is .

Can you please tell me where i can check , to figure out the problem with the email notification.

production.log has no errors !

#27 - 2011-03-07 14:23 - Etienne Massip

I'd like to help you to get rake db:migrate done, but I don't understand how is installed the stack.

I don't get it : C:\Program Files\BitNami Redmine Stack\subversion\bin seems totally unrelated to the problem except if ruby executable is stored here

?!

#28 - 2011-03-08 05:40 - Shaik Ahmed

Hi

I had done the default installation of Redmine.

Yes , the buby executables are stored in C:\Program Files\BitNami Redmine Stack\subversion\bin

I had added the C:\Program Files\BitNami Redmine Stack\apps\redmine\ in the path and i can run the rake db:migrate bu the folowwing error occurs

C:\Program Files\BitNami Redmine Stack\ruby\bin>rake db:migrate --trace

rake aborted!

No Rakefile found (looking for: rakefile, Rakefile, rakefile.rb, Rakefile.rb)

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2377:in `raw_load_ra

kefile'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefi

le'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_ex

ception_handling'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefi

le'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_ex

ception_handling'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

C:/Program Files/BitNami Redmine Stack/ruby/bin/rake:19:in `load'

C:/Program Files/BitNami Redmine Stack/ruby/bin/rake:19

#29 - 2011-03-08 09:20 - Etienne Massip

Shaik Ahmed wrote:

Yes , the buby executables are stored in C:\Program Files\BitNami Redmine Stack\subversion\bin

 Why so are you running rake from C:\Program Files\BitNami Redmine Stack\ruby\bin ?!?! Both executables should be in the same directory,

subversion has nothing to do with ruby !

Moreover, I already told you to run db migration from redmine directory.

Please do exactly the following :

1. preprend your system PATH environment variable with C:\Program Files\BitNami Redmine Stack\ruby\bin and remove C:\Program Files\BitNami

Redmine Stack\apps\redmine from it (PATH contains path to executable, there is no executable in redmine directory)

2.
cd "C:\Program Files\BitNami Redmine Stack\apps\redmine" 

set RAILS_ENV=production

rake db:migrate

#30 - 2011-03-08 10:54 - Shaik Ahmed
Hi

Thanks for the steps , that executed successfully . But still i am not getting any emails .

Output :

C:\Program Files\BitNami Redmine Stack\apps\redmine>rake db:migrate

(in C:/Program Files/BitNami Redmine Stack/apps/redmine)

==  ChangeUsersMailNotificationToString: migrating ============================

-- rename_column(:users, :mail_notification, :mail_notification_bool)

   -> 0.2188s

-- add_column(:users, :mail_notification, :string, {:null=>false, :default=>""})

   -> 0.0313s

-- remove_column(:users, :mail_notification_bool)

   -> 0.0156s

==  ChangeUsersMailNotificationToString: migrated (0.3438s) ===================

==  UpdateMailNotificationValues: migrating ===================================

==  UpdateMailNotificationValues: migrated (0.0000s) ==========================

==  AddIssuesNestedSetsColumns: migrating =====================================

-- add_column(:issues, :parent_id, :integer, {:default=>nil})

   -> 0.2188s

-- add_column(:issues, :root_id, :integer, {:default=>nil})

   -> 0.1719s

-- add_column(:issues, :lft, :integer, {:default=>nil})

   -> 0.2031s

-- add_column(:issues, :rgt, :integer, {:default=>nil})

   -> 0.1875s

==  AddIssuesNestedSetsColumns: migrated (1.0000s) ============================

==  AddIndexOnIssuesNestedSet: migrating ======================================

-- add_index(:issues, [:root_id, :lft, :rgt])

   -> 0.2031s

==  AddIndexOnIssuesNestedSet: migrated (0.2031s) =============================

==  ChangeChangesPathLengthLimit: migrating ===================================

-- change_column(:changes, :path, :text, {:null=>true, :default=>nil})

   -> 0.0781s

-- change_column(:changes, :path, :text, {:null=>false})

   -> 0.0313s

-- change_column(:changes, :from_path, :text)

   -> 0.0469s

==  ChangeChangesPathLengthLimit: migrated (0.1563s) ==========================

==  EnableCalendarAndGanttModulesWhereAppropriate: migrating ==================

==  EnableCalendarAndGanttModulesWhereAppropriate: migrated (0.2344s) =========

==  AddUniqueIndexOnMembers: migrating ========================================

-- add_index(:members, [:user_id, :project_id], {:unique=>true})

   -> 0.0781s

==  AddUniqueIndexOnMembers: migrated (0.2031s) ===============================

==  AddCustomFieldsVisible: migrating =========================================

-- add_column(:custom_fields, :visible, :boolean, {:null=>false, :default=>true})

   -> 0.0156s

==  AddCustomFieldsVisible: migrated (0.0313s) ================================

==  ChangeProjectsNameLimit: migrating ========================================

-- change_column(:projects, :name, :string, {:null=>false, :limit=>nil, :default=>""})

   -> 0.0625s

==  ChangeProjectsNameLimit: migrated (0.0625s) ===============================

==  ChangeProjectsIdentifierLimit: migrating ==================================

-- change_column(:projects, :identifier, :string, {:limit=>nil})

   -> 0.0469s

==  ChangeProjectsIdentifierLimit: migrated (0.0469s) =========================

 Thanks

#31 - 2011-03-08 11:10 - Shaik Ahmed

Forgot to mention , i encountered this error :

CORE_RL_magick_.ddl was not working 
 However , clicking after clicking 'ok' db migrate resumed without any erros  .

Thanks

#32 - 2011-03-08 11:45 - Etienne Massip

Did you restart your server ?

#33 - 2011-03-08 11:48 - Shaik Ahmed

Yes, i did !

#34 - 2011-03-08 11:54 - Etienne Massip

Both http and ruby ?

#35 - 2011-03-08 11:56 - Shaik Ahmed

Yes !

#36 - 2011-03-08 19:52 - Etienne Massip

Now that the db has been migrated, could you please check again the user profile email notification settings and the system email notfication settings

?

And check the content of the log file once an issue has been modified ?

#37 - 2011-03-09 05:58 - Shaik Ahmed

After Updating the issue and changing the assignee , the content of the production.log is :

Processing IssuesController#update (for 192.168.20.199 at 2011-03-09 10:28:24) [PUT]

  Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Submit", "notes"=>""

, "action"=>"update", "_method"=>"put", "authenticity_token"=>"cbYgT56kGZX/Hk6NynWS8NkykfOCCXwULGFN5Pe+Bu8=", 

"id"=>"1086", "issue"=>{"start_date"=>"2011-03-08", "custom_field_values"=>{"6"=>"", "22"=>"", "9"=>"", "1"=>"

123", "2"=>"", "4"=>"", "10"=>"", "5"=>""}, "estimated_hours"=>"", "priority_id"=>"6", "parent_issue_id"=>"", 

"lock_version"=>"1", "done_ratio"=>"0", "assigned_to_id"=>"3", "subject"=>"Atom Check", "category_id"=>"", "tr

acker_id"=>"1", "due_date"=>"", "status_id"=>"2", "description"=>"Atom Check"}, "controller"=>"issues", "attac

hments"=>{"1"=>{"description"=>""}}}

Sending email notification to: shaik2@navionicsindia.com

The following error occured while sending email notification: "550 5.1.1 User unknown

". Check your configuration in config/email.yml.

Redirected to http://onssrv4/redmine/issues/1086

Completed in 828ms (DB: 109) | 302 Found [http://onssrv4/redmine/issues/1086]

 
Processing IssuesController#show (for 192.168.20.199 at 2011-03-09 10:28:24) [GET]

  Parameters: {"action"=>"show", "id"=>"1086", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

Completed in 672ms (View: 484, DB: 141) | 200 OK [http://onssrv4/redmine/issues/1086]

#38 - 2011-03-09 06:08 - Shaik Ahmed

Email Settings that was in use , note that the two settings specified below used to work before , but right now both of them are not working :

Settings 1 (email.yml) :

production:

  delivery_method: :smtp

  smtp_settings:

    address: mail.mymailserver.com

    port: 25

    domain: mymailserver.com  

    authentication: :login

    user_name: 

    password:

 Settings 2 (email.yml)

production:

  delivery_method: :smtp

  smtp_settings:

    address: mail.mymailserver.com

    port: 25

    domain: mail.mymailserver.com  
    authentication: :plain

#39 - 2011-03-09 09:26 - Etienne Massip

Googling around, it looks like this is not an authentication issue, the message means that the mailbox is not know by the SMTP server, check the

validity of your domain / adress / mail adress values.

You can try to send a mail to this address with a classic MUA.

#40 - 2011-03-09 12:14 - Shaik Ahmed

Hi

After changing the default port from 25 to another , it worked . However , there were no changes done at mail exchange .

The port 25 still works if i configure a new Redmine , however ,  when i import the database from my production system it stops working . Then when i

change the email.yml with a different port , it works

I appreciate your support .

Thanks

#41 - 2011-03-09 12:14 - Shaik Ahmed

- Status changed from New to Resolved

#42 - 2011-03-09 14:16 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Files

User_Settings.jpg 101 KB 2011-02-28 Shaik Ahmed

Admin_Settings.jpg 119 KB 2011-02-28 Shaik Ahmed
